org.eclipse.mat.ui.internal.actions

## Class ExecuteInspectionHandler

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.core.commands.AbstractHandler
    - - org.eclipse.mat.ui.internal.actions.ExecuteInspectionHandler

All Implemented Interfaces:
  org.eclipse.core.commands.IHandler, org.eclipse.core.commands.IHandler2

    public class ExecuteInspectionHandler
    extends org.eclipse.core.commands.AbstractHandler

### Constructor Summary

Constructors
Constructor and Description
`ExecuteInspectionHandler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `execute(org.eclipse.core.commands.ExecutionEvent event)`

### Methods inherited from class org.eclipse.core.commands.AbstractHandler

`addHandlerListener, dispose, isEnabled, isHandled, removeHandlerListener, setEnabled`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExecuteInspectionHandler

    public ExecuteInspectionHandler()

### Method Detail

#### execute

    public Object execute(org.eclipse.core.commands.ExecutionEvent event)
                   throws org.eclipse.core.commands.ExecutionException

Throws:
  `org.eclipse.core.commands.ExecutionException`